Package weka.experiment

# Class PairedStatsCorrected

java.lang.Object
weka.experiment.PairedStats
weka.experiment.PairedStatsCorrected

All Implemented Interfaces:
  `RevisionHandler`

public class PairedStatsCorrected extends PairedStats
A class for storing stats on a paired comparison. This version is based on the corrected resampled t-test statistic, which uses the ratio of the number of test examples/the number of training examples.

For more information see:

Claude Nadeau and Yoshua Bengio, "Inference for the Generalization Error," Machine Learning, 2001.

Version:
  $Revision: 1.5 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)

## Field Summary

### Fields inherited from class weka.experiment.PairedStats

`correlation, count, differencesProbability, differencesSignificance, differencesStats, sigLevel, xStats, xySum, yStats`

## Constructor Summary

Constructors
Constructor
Description
`PairedStatsCorrected(double sig, double testTrainRatio)`
Creates a new PairedStatsCorrected object with the supplied significance level and train/test ratio.

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateDerived()`
Calculates the derived statistics (significance etc).
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class weka.experiment.PairedStats

`add, add, getDegreesOfFreedom, main, setDegreesOfFreedom, subtract, subtract, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PairedStatsCorrected

public PairedStatsCorrected(double sig, double testTrainRatio)
Creates a new PairedStatsCorrected object with the supplied significance level and train/test ratio.

Parameters:
  `sig` - the significance level for comparisons
  `testTrainRatio` - the number test examples/training examples

## Method Details

### calculateDerived

public void calculateDerived()
Calculates the derived statistics (significance etc).

Overrides:
  `calculateDerived` in class `PairedStats`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `PairedStats`
Returns:
  the revision